Bug 18535 - Clicking 'edit printer profile' in label creator causes software error
Summary: Clicking 'edit printer profile' in label creator causes software error
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 17900
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-03 20:06 UTC by Barton Chittenden
Modified: 2017-05-24 02:35 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18535 - Clicking 'edit printer profile' in label creator causes software error (1.31 KB, patch)
2017-05-03 20:45 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 18535 - Clicking 'edit printer profile' in label creator causes software error (1.48 KB, patch)
2017-05-04 16:06 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 18535 - Clicking 'edit printer profile' in label creator causes software error (1.58 KB, patch)
2017-05-12 09:33 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2017-05-03 20:06:41 UTC
To re-create.

1) Go to Tools > Label creator
2) If you don't have a printer profile defined, create one.
3) Go to manage > Printer profiles
4) Click the 'edit' button on any of the profiles.

This will cause a software error; the plack error log will show

Can't use string ("fields") as a HASH ref while "strict refs" in use at /usr/share/koha/lib/C4/Creators/Lib.pm line 147.
Comment 1 Nick Clemens 2017-05-03 20:45:45 UTC
Created attachment 63044 [details] [review]
Bug 18535 - Clicking 'edit printer profile' in label creator causes software error

1) Go to Tools > Label creator
2) If you don't have a printer profile defined, create one.
3) Go to manage > Printer profiles
4) Click the 'edit' button on any of the profiles.
5) INTERNAL SERVER ERROR! "Can't use string ("fields") as a HASH ref
while "strict refs" in use at /usr/share/koha/lib/C4/Creators/Lib.pm
line 147"
6) Apply patch
7) Click the 'edit' button on any of the profiles.
8) Things work as expected
Comment 2 Marc Véron 2017-05-04 16:06:12 UTC
Created attachment 63131 [details] [review]
Bug 18535 - Clicking 'edit printer profile' in label creator causes software error

1) Go to Tools > Label creator
2) If you don't have a printer profile defined, create one.
3) Go to manage > Printer profiles
4) Click the 'edit' button on any of the profiles.
5) INTERNAL SERVER ERROR! "Can't use string ("fields") as a HASH ref
while "strict refs" in use at /usr/share/koha/lib/C4/Creators/Lib.pm
line 147"
6) Apply patch
7) Click the 'edit' button on any of the profiles.
8) Things work as expected

Bug reproduced, is fixed by this patch
Signed-off-by: Marc Véron <veron@veron.ch>
Comment 3 Marcel de Rooy 2017-05-12 09:33:38 UTC
Created attachment 63419 [details] [review]
Bug 18535 - Clicking 'edit printer profile' in label creator causes software error

1) Go to Tools > Label creator
2) If you don't have a printer profile defined, create one.
3) Go to manage > Printer profiles
4) Click the 'edit' button on any of the profiles.
5) INTERNAL SERVER ERROR! "Can't use string ("fields") as a HASH ref
while "strict refs" in use at /usr/share/koha/lib/C4/Creators/Lib.pm
line 147"
6) Apply patch
7) Click the 'edit' button on any of the profiles.
8) Things work as expected

Bug reproduced, is fixed by this patch
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2017-05-12 12:52:39 UTC
Pushed to master for 17.05, thanks Nick!
Comment 5 Katrin Fischer 2017-05-14 09:53:05 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.
Comment 6 Julian Maurice 2017-05-22 10:42:44 UTC
Pushed to 3.22.x for 3.22.21
Comment 7 Mason James 2017-05-24 02:35:56 UTC
Pushed to 16.05.x, for 16.05.13 release